当前位置:首页 » IOS开发技术

iOS开发者的管理工具-CocoaPods安装

2017-09-24 15:00 本站整理 浏览(4)

1. 安装 Ruby

  对于iOS开发者,CocoaPods是最方便使用的第三方管理工具了,但是怎么安装CocoaPods呢,安装CocoaPods之前,要确保mac已经安装上Ruby,但在安装Ruby时,需要的环境又是什么呢,这里不得不引入RVM,RVM是什么,我也不知道,哈哈,知道这是必须条件就可以了,想了解更多的小伙伴可以自己百度查查,这里就不说了,下面开始说安装过程:(以下所有操作都是在终端进行,如果终端命令有误,请把安装好RAM之后,将$号去掉即可)

1.1 安装RVM

终端输入:$ curl -L https://get.rvm.io | bash -s stable

之后会让你输入密码什么的,其实也就是开机密码,不用管,直接输入就行,往下继续载入 RVM 环境:

终端输入:$ source ~/.rvm/scripts/rvm

检查安装:

终端输入:$ rvm -v

如果出现 rvm 1.27.0 (latest) by Wayne E. Seguin <wayneeseguin@gmail.com>, Michal Papis <mpapis@gmail.com> [https://rvm.io/] 标示已经安装成功

1.2 用 RVM 安装 Ruby

查看已知的Ruby版本:

终端输入:$ rvm list known

列出所有的Ruby版本之后,选择其中的一个版本(我一般就是选最高的)安装(2.5.8是Ruby版本号):

终端输入:$ rvm install 2.5.8

之后就是等待了,等待,等待,等待。。。。。。(如果终端命令结束了,就等于安装好了),下面是检查是否安装好了Ruby:

终端输入:$ rvm list

将指定版本的 Ruby 版本设置为系统的默认版本:

终端输入:$ rvm 2.0.0 --default

测试:

终端输入:$ ruby -v

如果出现   ruby 2.3.0p0 (2015-12-25 revision 53290) [x86_64-darwin15], 证明安装成功(2.3.0p0 是版本号)

到这里你好需要做Ruby环境配置的最后一步,就是将Ruby默认的镜像替换成淘宝的镜像,我用的替换方式也是网上搜的,如下:

终端输入:$ gem source -r https://rubygems.org/

终端输入:$ gem source -a https://ruby.taobao.org

然后检查下是否将原来的镜像替换成淘宝的镜像:

终端输入:$ gem sources -l

如果替换成功,终端显示:

CURRENT SOURCES

http://ruby.taobao.org/

到这里我们已经把Ruby成功的安装到了Mac上,好了,扯了这么多,就是为了办正事:装CocoaPods,下面开始安装CocoaPods

2. 安装CocoaPods

通过安装好的 Ruby环境的Mac,可以直接安装cocoapods:

终端输入:$ sudo gem install CocoaPods

接着就是继续的等待,等待,等待。。。如果中间让输入密码,还是注入开机密码,一直等到终端运行结束吧!安装就这么简单,就是配置复杂那么一丢丢。

3. 删除【彻底移除】CocoaPods

这里再说下怎么移除CocoaPods,为什么要移除呢,如果你觉得CocoaPods让你的项目出现了问题,不好用,想将其从项目中彻底移除,下面是彻底移除的方法,也是网上搜的:

1 )删除工程文件夹下的Podfile、Podfile.lock和Pods文件夹;

2)删除xcworkspace文件;

3)打开xcodeproj文件,删除项目中的Pods文件夹及Pods.xcconfig引用和(Farmwork)libpods.a;

4)打开Build Phases选项,删除Check Pods Manifest.lock和Copy Pods Resources,以及Embeded Pods Frameworks;

5)完成,编译运行,无错通过。

如果在项目中不小心删除了某个文件而导致引用CocoaPods时出错,就彻底移除CocoaPods,然后重新添加CocoaPods就可以了!

以上是我使用Xcode三方工具CocoaPods的一些积累,希望能帮助大家!

相关借鉴:

http://www.cnblogs.com/daguo/p/4097263.html

http://blog.csdn.net/jjmm2009/article/details/41944959